<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>Uses of Class fr.ici.dataImporter.iciObjects.Household</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="use: package: fr.ici.dataImporter.iciObjects, class: Household">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class fr.ici.dataImporter.iciObjects.Household" class="title">Uses of Class<br>fr.ici.dataImporter.iciObjects.Household</h1>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Packages that use <a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Package</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.util">fr.ici.dataImporter.util</a></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="fr.ici.dataImporter.iciObjects">
<h2>Uses of <a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a> in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> that return <a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static <a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">Household.</span><code><span class="member-name-link"><a href="../Household.html#generateHouseholds(fr.ici.dataImporter.iciObjects.Building,fr.ici.dataImporter.iciObjects.iris.IRISHousehold)">generateHouseholds</a></span>&#8203;(<a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&nbsp;building,
<a href="../iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a>&nbsp;iris)</code></th>
<td class="col-last">
<div class="block">Generate the households for each housing of an IRIS</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static <a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></code></td>
<th class="col-second" scope="row"><span class="type-name-label">Household.</span><code><span class="member-name-link"><a href="../Household.html#toIci(org.opengis.feature.simple.SimpleFeature)">toIci</a></span>&#8203;(org.opengis.feature.simple.SimpleFeature&nbsp;sf)</code></th>
<td class="col-last">
<div class="block">Convert a SimpleFeature to an ICI Household</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> that return types with arguments of type <a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Household.</span><code><span class="member-name-link"><a href="../Household.html#affectHouseholdToHousing(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection,java.util.List)">affectHouseholdToHousing</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisHousehold,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisHousing,
java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Household.</span><code><span class="member-name-link"><a href="../Household.html#importHousehold(java.io.File)">importHousehold</a></span>&#8203;(java.io.File&nbsp;householdICI)</code></th>
<td class="col-last">
<div class="block">Import Households objects from already generated households</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Household.</span><code><span class="member-name-link"><a href="../Household.html#importHousehold(java.util.List,java.io.File,java.io.File)">importHousehold</a></span>&#8203;(java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding,
java.io.File&nbsp;irisHouseholdFile,
java.io.File&nbsp;irisHousingFile)</code></th>
<td class="col-last">
<div class="block">Generate the household of a zone relatively to housing already generated by the <a href="../Building.html#importBuilding(java.io.File)"><code>Building.importBuilding(File)</code></a> method.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Method parameters in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> with type arguments of type <a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Household.</span><code><span class="member-name-link"><a href="../Household.html#exportHousehold(java.util.List,java.io.File)">exportHousehold</a></span>&#8203;(java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lHH,
java.io.File&nbsp;fileOut)</code></th>
<td class="col-last">
<div class="block">Export an existing list of household to a geographic format</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Individual.</span><code><span class="member-name-link"><a href="../Individual.html#importIndividuals(java.util.List,java.io.File,java.io.File)">importIndividuals</a></span>&#8203;(java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lHH,
java.io.File&nbsp;irisPopFile,
java.io.File&nbsp;irisHHFile)</code></th>
<td class="col-last">
<div class="block">Generate ICI individuals regarding to a list of <a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects"><code>Household</code></a></div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Individual.</span><code><span class="member-name-link"><a href="../Individual.html#importIndividuals(java.util.List,java.io.File,java.io.File,java.io.File)">importIndividuals</a></span>&#8203;(java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lHH,
java.io.File&nbsp;irisPopFile,
java.io.File&nbsp;irisHHFile,
java.io.File&nbsp;noHouseholdPopGeoFile)</code></th>
<td class="col-last">
<div class="block">Generate ICI individuals regarding to a list of <a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects"><code>Household</code></a> and INSEE's statistics</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.util">
<h2>Uses of <a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a> in <a href="../../util/package-summary.html">fr.ici.dataImporter.util</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Method parameters in <a href="../../util/package-summary.html">fr.ici.dataImporter.util</a> with type arguments of type <a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><span class="type-name-label">GraphCheck.</span><code><span class="member-name-link"><a href="../../util/GraphCheck.html#checkNumbersOfMinor(java.util.List)">checkNumbersOfMinor</a></span>&#8203;(java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lH)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
